curl --request POST \
--url https://wisepim.com/api/public/v1/attribute-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/attribute-groups"
payload = {
"name": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', code: '<string>'})
};
fetch('https://wisepim.com/api/public/v1/attribute-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"name_localized": "<unknown>",
"code": "<string>",
"sort_order": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Create attribute-groups
POST /attribute-groups. Required scopes: attribute-groups:write.
curl --request POST \
--url https://wisepim.com/api/public/v1/attribute-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/attribute-groups"
payload = {
"name": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', code: '<string>'})
};
fetch('https://wisepim.com/api/public/v1/attribute-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"name_localized": "<unknown>",
"code": "<string>",
"sort_order": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
1 - 128^[!-~]+$Body
Display name for the group (e.g., General, Technical Specifications, Marketing)
100Unique identifier for the group (e.g., general, tech_specs, marketing)
50Locale-keyed group names, e.g. {'en': 'Electrical data', 'nl': 'Elektrische gegevens'}. ETIM ships every release language; without this a project sees one of them forever.
Show child attributes
Show child attributes
Order in which this group should be displayed in the UI
Response
Created
Display name for the group (e.g., General, Technical Specifications, Marketing)
100Locale-keyed group names, e.g. {'en': 'Electrical data', 'nl': 'Elektrische gegevens'}. ETIM ships every release language; without this a project sees one of them forever.
Unique identifier for the group (e.g., general, tech_specs, marketing)
50Order in which this group should be displayed in the UI

